from configparser import ConfigParser


class Config:
    def __init__(self, path="settings.ini"):
        self._parser = ConfigParser()
        self._parser.read(path)
    
    @property
    def gotify_url(self):
        return self._parser.get(self._parser.default_section, "GotifyURL")

    @property
    def token(self):
        return self._parser.get(self._parser.default_section, "Token")

    @property
    def message(self):
        return self._parser.get(self._parser.default_section, "Message", fallback="Your Webhook was triggered!")

    @property
    def title(self):
        return self._parser.get(self._parser.default_section, "Title", fallback="Webhook")

    @property
    def priority(self):
        return self._parser.getint(self._parser.default_section, "Priority", fallback=0)